{% extends "page.html" %}

{% block maintag %}
{% endblock %}

{% block toolbar %}
{% endblock %}

{% block content %}
    <div class="homepage">
        <div class="container">
            {{ self.flash() }}
            <div class="alert alert-warning" role="alert">
                <i class="fa fa-info-circle"></i>
                This environment is not meant for public consumption.
            </div>
        </div>
        {% set query_results = h.wildcard_search(rows=2) %}
        <div role="main" class="ckanext_portals-home">
            <div class="container">
                <div class="row homepage-search">
                    <div class="module module-search module-narrow module-shallow box">
                        <form class="module-content search-form" method="get" action="{{ h.url_for(controller='package', action='search') }}">
                            <h3 class="heading">{{ _('Search this catalog') }}</h3>
                            <div class="search-input form-group search-giant">
                                {% set placeholder = _('Search through {amount} datasets').format(amount=query_results['count']) %}
                                <input aria-label="{{ _('Search datasets') }}" id="field-main-search" type="text" class="form-control" name="q" value="" autocomplete="off" placeholder="{{ placeholder }}" />
                                <button type="submit">
                                    <i class="fa fa-search"></i>
                                    <span class="sr-only">{{ _('Search') }}</span>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div role="main" class="homepage-contents">
            {% set counts = {
                'datasets': query_results['count'],
                'authorities': query_results['facets']['authority']|length,
                'catalogs': query_results['facets']['source_catalog']|length
            } %}
            <div class="container">
                <div class="row row2">
                    <div class="col-md-8 col1">
                        {% snippet "home/snippets/recent_mutations.html", latest_datasets=query_results['results'] %}
                    </div>
                    <div class="col-md-4 col2">
                        {% snippet "home/snippets/catalog_statistics.html", stats=h.get_site_statistics(), counts=counts %}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
